<!DOCTYPE html>
<html lang="en">
<head>
  <title>Pearson Web Component</title>
  <meta charset="UTF-8" />
  <meta name="viewport" content="width=device-width" />
  <link rel="stylesheet" href="https://pearsonux.sfo2.cdn.digitaloceanspaces.com/css/gravity.css"/>
  <script type="text/javascript">
    if(/MSIE \d|Trident.*rv:/.test(navigator.userAgent)) {
      document.write('<script src="https://cdnjs.cloudflare.com/ajax/libs/webcomponentsjs/1.2.0/webcomponents-loader.js"><\/script>');
      document.write('<script src="https://cdnjs.cloudflare.com/ajax/libs/webcomponentsjs/1.2.0/custom-elements-es5-adapter.js"><\/script>');
    } else {
      document.write('<script src="https://unpkg.com/@webcomponents/webcomponentsjs@^2/webcomponents-loader.js"><\/script>');
      document.write('<script src="https://unpkg.com/@webcomponents/webcomponentsjs@^2/custom-elements-es5-adapter.js"><\/script>');
    }
  </script>
  <script src="https://cdnjs.cloudflare.com/ajax/libs/moment.js/2.24.0/moment-with-locales.min.js"></script>
  <script src="https://cdnjs.cloudflare.com/ajax/libs/moment-range/4.0.2/moment-range.js"></script>

  <script src="https://unpkg.com/@pearson-ux/pearson-web-components"></script>
  <script src="js/dist/pearson-search-card-bundle-min.js"></script>

  <style>
    pearson-dropdown {
      display:inline-flex;
    }
  </style>

</head>

<body>
<div>
  <pearson-search-card>
    <div slot="cardcontent">
      <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut</p>
    </div>
    <search-card-options slot="dropdown">
      <li id="optionOne">first option</li>
      <li id="optionTwo" class="divider">second option</li>
      <li id="optionThree">third option</li>
    </search-card-options>
    <div slot="results">
      hi
    </div>
  </pearson-search-card>

</div>


<script>
  (function (win, doc) {
    'use strict';
    doc.addEventListener("DOMContentLoaded", function(){
      if (!document.getElementById('pe-icons-sprite')) {
        var pe_ajax = new XMLHttpRequest();
        pe_ajax.open("GET", "https://pearsonux.sfo2.cdn.digitaloceanspaces.com/css/p-icons-sprite-1.1.svg", true);
        pe_ajax.responseType = "document";
        pe_ajax.onload = function(e) {
          document.body.insertBefore(
                  pe_ajax.responseXML.documentElement,
                  document.body.childNodes[0]
          );
          const events = new Event('iconsLoaded');
          document.dispatchEvent(events);
        };
        pe_ajax.send();
      }
    });
  })(window, document)
</script>
<script>
  document.addEventListener('change', event => {
    console.log('event fired', event.detail)
  })
</script>
</body>
</html>
